Bug 212459 - deskutils/py-vdirsyncer: Update to 0.12.1
Summary: deskutils/py-vdirsyncer: Update to 0.12.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on: 212507
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-07 16:25 UTC by Anton Yuzhaninov
Modified: 2016-10-06 15:38 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
Version update (1.07 KB, text/plain)
2016-09-07 16:25 UTC, Anton Yuzhaninov
no flags Details
patch (800 bytes, patch)
2016-09-07 20:26 UTC, Maxim Filimonov
no flags Details | Diff
poudriere log (29.92 KB, text/x-log)
2016-09-07 20:39 UTC, Maxim Filimonov
no flags Details
patch (817 bytes, patch)
2016-09-09 18:18 UTC, Maxim Filimonov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2016-09-07 16:25:18 UTC
Created attachment 174477 [details]
Version update

Please update deskutils/py-vdirsyncer to latest version: 0.12.1

Patch is trivial.
Comment 1 Maxim Filimonov 2016-09-07 20:26:49 UTC
Created attachment 174488 [details]
patch

Added an actual patch against the current ports tree. Poudriere log coming soon!
Comment 2 Maxim Filimonov 2016-09-07 20:39:54 UTC
Created attachment 174490 [details]
poudriere log

And the poudriere log is here! Ready to commit!
Comment 3 Maxim Filimonov 2016-09-07 20:40:57 UTC
Dear Anton,

Please consider doing these two things:
1. Mark your patch as obsolete;
2. Set me as the bug assignee.

Thank you in advance!
Comment 4 Anton Yuzhaninov 2016-09-07 20:51:54 UTC
1. I can't find how to mark patch as obsolete.
2. I can't assign the bug. AFAIK only committers can change an assignee.
Comment 5 Maxim Filimonov 2016-09-07 21:31:46 UTC
Oh, then don't worry. Now we'll wait for a committer to do the job, basically.
Comment 6 Dmitry Marakasov freebsd_committer 2016-09-08 10:35:24 UTC
- Maxim, your patch does not apply:

Patching file Makefile using Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed--saving rejects to Makefile.rej

Is it supposed to be different from original patch?
Comment 7 Maxim Filimonov 2016-09-08 16:15:04 UTC
Oh, you need to add something like:
> -PORTREVISION= 1
to the patch.

Besides, what do you mean by the "original patch"? Did you read it?
Comment 8 Maxim Filimonov 2016-09-08 16:16:49 UTC
Gotta fix that in the evening; can't do that from my job pc.
Comment 9 Anton Yuzhaninov 2016-09-08 22:56:48 UTC
It turned out, that dependency devel/py-click-threading should be updated first. Please wait.
Comment 10 Maxim Filimonov 2016-09-09 18:18:10 UTC
Created attachment 174588 [details]
patch

New patch arrived
Comment 11 Kurt Jaeger freebsd_committer 2016-09-19 19:12:11 UTC
Comment on attachment 174477 [details]
Version update

replaced by patch from maintainer
Comment 12 commit-hook freebsd_committer 2016-10-06 15:38:18 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Oct  6 15:37:28 UTC 2016
New revision: 423409
URL: https://svnweb.freebsd.org/changeset/ports/423409

Log:
  - Update to 0.12.1
  - While here, add NO_ARCH

  PR:		212459
  Submitted by:	citrin+pr@citrin.ru
  Approved by:	che@bein.link (maintainer)

Changes:
  head/deskutils/py-vdirsyncer/Makefile
  head/deskutils/py-vdirsyncer/distinfo